###################################################
### chunk number 1: preliminary
###################################################
#line 54 "d:/Rcompile/CRANpkg/local/2.12/permute/inst/doc/permutations.Rnw"
options("prompt" = "R> ", "continue" = "+ ")
options(useFancyQuotes="UTF-8")


###################################################
### chunk number 2: load_jackal
###################################################
#line 68 "d:/Rcompile/CRANpkg/local/2.12/permute/inst/doc/permutations.Rnw"
require(permute)
data(jackal)
jackal


###################################################
### chunk number 3: ttest_jackal
###################################################
#line 76 "d:/Rcompile/CRANpkg/local/2.12/permute/inst/doc/permutations.Rnw"
jack.t <-t.test(Length ~ Sex, data = jackal, var.equal = TRUE, alternative = "greater")
jack.t


###################################################
### chunk number 4: ftest_jackal
###################################################
#line 90 "d:/Rcompile/CRANpkg/local/2.12/permute/inst/doc/permutations.Rnw"
var.test(Length ~ Sex, data = jackal)
fligner.test(Length ~ Sex, data = jackal)


###################################################
### chunk number 5: meanFun
###################################################
#line 99 "d:/Rcompile/CRANpkg/local/2.12/permute/inst/doc/permutations.Rnw"
meanDif <- function(x, grp) {
 mean(x[grp == "Male"]) - mean(x[grp == "Female"])
}


###################################################
### chunk number 6: randJackal
###################################################
#line 105 "d:/Rcompile/CRANpkg/local/2.12/permute/inst/doc/permutations.Rnw"
Djackal <- numeric(length = 5000)
N <- nrow(jackal)
set.seed(42)
for(i in seq_len(length(Djackal) - 1)) {
    perm <- shuffle(N)
    Djackal[i] <- with(jackal, meanDif(Length, Sex[perm]))
}
Djackal[5000] <- with(jackal, meanDif(Length, Sex))


###################################################
### chunk number 7: hist_jackal eval=FALSE
###################################################
## #line 119 "d:/Rcompile/CRANpkg/local/2.12/permute/inst/doc/permutations.Rnw"
## hist(Djackal, main = "",
##      xlab = expression("Mean difference (Male - Female) in mm"))
## rug(Djackal[5000], col = "red", lwd = 2)


###################################################
### chunk number 8: 
###################################################
#line 125 "d:/Rcompile/CRANpkg/local/2.12/permute/inst/doc/permutations.Rnw"
(Dbig <- sum(Djackal >= Djackal[5000]))


###################################################
### chunk number 9: 
###################################################
#line 129 "d:/Rcompile/CRANpkg/local/2.12/permute/inst/doc/permutations.Rnw"
Dbig / length(Djackal)


###################################################
### chunk number 10: draw_hist_jackal
###################################################
#line 135 "d:/Rcompile/CRANpkg/local/2.12/permute/inst/doc/permutations.Rnw"
#line 119 "d:/Rcompile/CRANpkg/local/2.12/permute/inst/doc/permutations.Rnw#from line#135#"
hist(Djackal, main = "",
     xlab = expression("Mean difference (Male - Female) in mm"))
rug(Djackal[5000], col = "red", lwd = 2)
#line 136 "d:/Rcompile/CRANpkg/local/2.12/permute/inst/doc/permutations.Rnw"


###################################################
### chunk number 11: 
###################################################
#line 142 "d:/Rcompile/CRANpkg/local/2.12/permute/inst/doc/permutations.Rnw"
choose(20, 10)


###################################################
### chunk number 12: 
###################################################
#line 153 "d:/Rcompile/CRANpkg/local/2.12/permute/inst/doc/permutations.Rnw"
args(shuffle)


###################################################
### chunk number 13: 
###################################################
#line 157 "d:/Rcompile/CRANpkg/local/2.12/permute/inst/doc/permutations.Rnw"
str(permControl())


###################################################
### chunk number 14: 
###################################################
#line 161 "d:/Rcompile/CRANpkg/local/2.12/permute/inst/doc/permutations.Rnw"
set.seed(2)
(r1 <- shuffle(10))
set.seed(2)
(r2 <- sample(1:10, 10, replace = FALSE))
all.equal(r1, r2)


###################################################
### chunk number 15: 
###################################################
#line 185 "d:/Rcompile/CRANpkg/local/2.12/permute/inst/doc/permutations.Rnw"
set.seed(4)
x <- 1:10
CTRL <- permControl(within = Within(type = "series"))
perm <- shuffle(10, control = CTRL)
perm
x[perm] ## equivalent


###################################################
### chunk number 16: 
###################################################
#line 198 "d:/Rcompile/CRANpkg/local/2.12/permute/inst/doc/permutations.Rnw"
set.seed(4)
block <- gl(3, 9)
CTRL <- permControl(strata = block,
                    within = Within(type = "grid", ncol = 3, nrow = 3))
perm <- shuffle(length(block), control = CTRL)
perm


###################################################
### chunk number 17: 
###################################################
#line 209 "d:/Rcompile/CRANpkg/local/2.12/permute/inst/doc/permutations.Rnw"
## Original
lapply(split(1:27, block), matrix, ncol = 3)
## Shuffled
lapply(split(perm, block), matrix, ncol = 3)


###################################################
### chunk number 18: 
###################################################
#line 219 "d:/Rcompile/CRANpkg/local/2.12/permute/inst/doc/permutations.Rnw"
set.seed(4)
CTRL <- permControl(strata = block,
                    within = Within(type = "grid", ncol = 3, nrow = 3,
                                    constant = TRUE))
perm2 <- shuffle(length(block), control = CTRL)
lapply(split(perm2, block), matrix, ncol = 3)


###################################################
### chunk number 19: 
###################################################
#line 235 "d:/Rcompile/CRANpkg/local/2.12/permute/inst/doc/permutations.Rnw"
set.seed(4)
CTRL <- permControl(within = Within(type = "series"))
pset <- shuffleSet(10, nset = 5, control = CTRL)
pset


###################################################
### chunk number 20: seesionInfo
###################################################
#line 244 "d:/Rcompile/CRANpkg/local/2.12/permute/inst/doc/permutations.Rnw"
toLatex(sessionInfo())


